
local MOLERAT = Bot.Template("MOLERAT", "KYRMIR_MOLERAT"); 

MOLERAT.setLevel(0);
MOLERAT.setMagicLevel(0);

MOLERAT.setHealth(50);
MOLERAT.setRespawnTime(60);

MOLERAT.setDamage(DAMAGE_EDGE, 25);

MOLERAT.setProtection(DAMAGE_EDGE, 0);
MOLERAT.setProtection(DAMAGE_BLUNT, 500);
MOLERAT.setProtection(DAMAGE_FIRE, 0);
MOLERAT.setProtection(DAMAGE_MAGIC, 10);
MOLERAT.setProtection(DAMAGE_POINT, 20);

// Fight system
MOLERAT.setWarnTime(6);
MOLERAT.setHitDistance(180);
MOLERAT.setChaseDistance(1800);
MOLERAT.setDetectionDistance(1200);
MOLERAT.setAttackSpeed(1800);

MOLERAT.setInitiativeFunction(STANDARD_ANIMAL_AI);

MOLERAT.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() == "S_FISTWALKL")
    {
        bot.setAngle(random(0, 360));

        switch(random(0, 4))
        {
            case 0: bot.playAni("R_ROAM1"); break;				
            case 1: bot.playAni("R_ROAM2"); break;
            case 2: bot.playAni("R_ROAM3"); break;
            case 3: bot.playAni("T_STAND_2_EAT"); break;	
            case 4: bot.playAni("T_PERCEPTION"); break;	
        }
    }
    else
    {
        local position = bot.getPosition(), respawn = bot.getRespawnPosition();

        if(getDistance2d(position.x, position.z, respawn.x, respawn.z) > 400)
        {   
            local vector = getVectorAngle(position.x, position.z, respawn.x, respawn.z);
                bot.setAngle(vector);
        }

        bot.playAni("S_FISTWALKL");			
    }
}
, 8);

registerMonsterTemplate("KYRMIR_MOLERAT", MOLERAT);

// Drop
registerMonsterReward("KYRMIR_MOLERAT", Reward.Content(50)
    .addDrop(Reward.Drop("ITMI_GOLD", 35, 35))
);

// Spawnlist
spawnBot(MOLERAT, -29734, -935, 13995, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -29967, -878, 12820, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -29372, -952, 14114, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -28049, -896, 14733, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -27377, -856, 14086, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -26468, -985, 12195, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -26706, -943, 11374, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -26999, -924, 11395, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -27794, -961, 9679, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -14002, -269, 353, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -14887, -1035, -1769, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -14271, -1176, -2295, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -14389, -958, -1767, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -26416, -977, 11986, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -29510, -835, 12152, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -30397, -751, 9186, "ADDONWORLD.ZEN");
spawnBot(MOLERAT, -32034, -229, 9452, "ADDONWORLD.ZEN");

spawnBot(MOLERAT, -35684, 880.976, 16542.3, "COLONY.ZEN");
spawnBot(MOLERAT, -35619.9, 897.406, 16771, "COLONY.ZEN");
spawnBot(MOLERAT, 2.21304, -1508.17, 6493.44, "COLONY.ZEN");
spawnBot(MOLERAT, -9626, -886, 1617, "COLONY.ZEN");
spawnBot(MOLERAT, -41649, 381, -2507, "COLONY.ZEN");
spawnBot(MOLERAT, -42260, 194, -3851, "COLONY.ZEN");
spawnBot(MOLERAT, -13072, -724, 5327, "COLONY.ZEN");
spawnBot(MOLERAT, -12814, -772, 5663, "COLONY.ZEN");
spawnBot(MOLERAT, -12670, -645, 5126, "COLONY.ZEN");
spawnBot(MOLERAT, -12731, -819, 6008, "COLONY.ZEN");
spawnBot(MOLERAT, -9961, 51, -10064, "COLONY.ZEN");
spawnBot(MOLERAT, -10649, 77, -10187, "COLONY.ZEN");
spawnBot(MOLERAT, -11128, 129, -10570, "COLONY.ZEN");
spawnBot(MOLERAT, -3708, -760, -9926, "COLONY.ZEN");
spawnBot(MOLERAT, -3877, -973, -9124, "COLONY.ZEN");
spawnBot(MOLERAT, -4446, -705, -9591, "COLONY.ZEN");
spawnBot(MOLERAT, 2988, -776, -12204, "COLONY.ZEN");
spawnBot(MOLERAT, 3322, -748, -12217, "COLONY.ZEN");
spawnBot(MOLERAT, 2452, -811, -12439, "COLONY.ZEN");
spawnBot(MOLERAT, 2713, -790, -12893, "COLONY.ZEN");
spawnBot(MOLERAT, 2566, -807, -12540, "COLONY.ZEN");
spawnBot(MOLERAT, 14258, 265, -340, "COLONY.ZEN");
spawnBot(MOLERAT, 15184, -357, -1170, "COLONY.ZEN");
spawnBot(MOLERAT, 12205, -10, 2476, "COLONY.ZEN");
spawnBot(MOLERAT, 11918, 22, 2321, "COLONY.ZEN");
spawnBot(MOLERAT, 12128.9, -13.195, 2757.63, "COLONY.ZEN");
spawnBot(MOLERAT, 16659, 239, 5579, "COLONY.ZEN");
spawnBot(MOLERAT, 16726, 246, 5633, "COLONY.ZEN");
spawnBot(MOLERAT, 598, 6123, 26864, "COLONY.ZEN");
spawnBot(MOLERAT, 642, 6127, 26920, "COLONY.ZEN");
spawnBot(MOLERAT, 1532, 6186, 27299, "COLONY.ZEN");
spawnBot(MOLERAT, 6901, 6883, 24651, "COLONY.ZEN");
spawnBot(MOLERAT, 6610, 6949, 24757, "COLONY.ZEN");
spawnBot(MOLERAT, -15206, -579, 13606, "COLONY.ZEN");
spawnBot(MOLERAT, -15149, -566, 13822, "COLONY.ZEN");
spawnBot(MOLERAT, -11943, -620, 14152, "COLONY.ZEN");
spawnBot(MOLERAT, -21550, -182, 18322, "COLONY.ZEN");
spawnBot(MOLERAT, -21550, -390, 17376, "COLONY.ZEN");
spawnBot(MOLERAT, -22766, -122, 20149, "COLONY.ZEN");
spawnBot(MOLERAT, -23626, -86, 21234, "COLONY.ZEN");
spawnBot(MOLERAT, -24358, -750, 19583, "COLONY.ZEN");
spawnBot(MOLERAT, -19877.8, -982.849, 18560.3, "COLONY.ZEN");
spawnBot(MOLERAT, -19588, -36, 19342, "COLONY.ZEN");
spawnBot(MOLERAT, -20203, -1006, 18593, "COLONY.ZEN");
spawnBot(MOLERAT, -19655.5, -667.647, 18205.4, "COLONY.ZEN");
spawnBot(MOLERAT, -20076, -226, 13725, "COLONY.ZEN");
spawnBot(MOLERAT, -18696, -402, 13249, "COLONY.ZEN");
spawnBot(MOLERAT, -18992, -186, 14799, "COLONY.ZEN");
spawnBot(MOLERAT, -34284.4, 781.74, 15880.9, "COLONY.ZEN");
spawnBot(MOLERAT, -34301, 666, 14360, "COLONY.ZEN");
spawnBot(MOLERAT, -35564.7, 858.669, 15161.2, "COLONY.ZEN");
spawnBot(MOLERAT, -35913.4, 870.22, 16869.1, "COLONY.ZEN");
spawnBot(MOLERAT, -42043, 458, -2629, "COLONY.ZEN");
spawnBot(MOLERAT, -42165, 272, -679, "COLONY.ZEN");
spawnBot(MOLERAT, -41762, 310, -675, "COLONY.ZEN");
spawnBot(MOLERAT, -42401, 221, -637, "COLONY.ZEN");
spawnBot(MOLERAT, -43257, 60, -248, "COLONY.ZEN");
spawnBot(MOLERAT, -42755, 110, -1515, "COLONY.ZEN");
spawnBot(MOLERAT, -20086, -616, 5424, "COLONY.ZEN");
spawnBot(MOLERAT, -20787, -721, 5303, "COLONY.ZEN");
spawnBot(MOLERAT, -20686, -708, 5126, "COLONY.ZEN");
spawnBot(MOLERAT, -21180, -782, 5954, "COLONY.ZEN");
spawnBot(MOLERAT, -29121, 334, 4561, "COLONY.ZEN");
spawnBot(MOLERAT, -13916, -1172, 5469, "COLONY.ZEN");
spawnBot(MOLERAT, -16113, -1296, 6168, "COLONY.ZEN");
spawnBot(MOLERAT, -17417, -1163, 6566, "COLONY.ZEN");
spawnBot(MOLERAT, -16781, -1192, 6727, "COLONY.ZEN");
spawnBot(MOLERAT, 23067, -573, 11841, "COLONY.ZEN");
spawnBot(MOLERAT, 22897, -578, 11548, "COLONY.ZEN");
spawnBot(MOLERAT, 25962, 135, 4789, "COLONY.ZEN");
spawnBot(MOLERAT, 25587, 270, 3625, "COLONY.ZEN");
spawnBot(MOLERAT, 35261, -533, 7516, "COLONY.ZEN");
spawnBot(MOLERAT, 41576, -203, 4599, "COLONY.ZEN");
spawnBot(MOLERAT, 41726.9, -315.4, 5234.78, "COLONY.ZEN");
spawnBot(MOLERAT, 44156.4, -260.654, 5506.18, "COLONY.ZEN");
spawnBot(MOLERAT, 44065.9, -262.324, 5448.65, "COLONY.ZEN");
spawnBot(MOLERAT, 41511, 45, 454, "COLONY.ZEN");
spawnBot(MOLERAT, 41393, 19, 2106, "COLONY.ZEN");
spawnBot(MOLERAT, 35894.5, 18.1795, 2324.17, "COLONY.ZEN");
spawnBot(MOLERAT, 31130, 276.677, 870.658, "COLONY.ZEN");
spawnBot(MOLERAT, 31151, 272.326, 1160.99, "COLONY.ZEN");
spawnBot(MOLERAT, 20430, 833, -3171, "COLONY.ZEN");
spawnBot(MOLERAT, 23653, 345, -2799, "COLONY.ZEN");
spawnBot(MOLERAT, 24648.7, 326.922, -3530.6, "COLONY.ZEN");
spawnBot(MOLERAT, 21175, 874, -3535, "COLONY.ZEN");
spawnBot(MOLERAT, 15703, 1562, -10668, "COLONY.ZEN");
spawnBot(MOLERAT, 16615, 1771, -11966, "COLONY.ZEN");
spawnBot(MOLERAT, 18157, 1247, -16791, "COLONY.ZEN");
spawnBot(MOLERAT, 18210, 1316, -15517, "COLONY.ZEN");
spawnBot(MOLERAT, 20000, 1881, -13025, "COLONY.ZEN");
spawnBot(MOLERAT, 20704, 1671, -12350, "COLONY.ZEN");
spawnBot(MOLERAT, 19449, 1689, -10537, "COLONY.ZEN");
spawnBot(MOLERAT, 22438, 821, -9089, "COLONY.ZEN");
spawnBot(MOLERAT, 22446, 843, -8703, "COLONY.ZEN");
spawnBot(MOLERAT, 19923, 898, -6780, "COLONY.ZEN");
spawnBot(MOLERAT, 21878, 6, -747, "COLONY.ZEN");
spawnBot(MOLERAT, 32252, -2133, -2739, "COLONY.ZEN");
spawnBot(MOLERAT, 31515, -1322, -4174, "COLONY.ZEN");
spawnBot(MOLERAT, 31320, -2427, -1516, "COLONY.ZEN");
spawnBot(MOLERAT, 31445, -2423, -1571, "COLONY.ZEN");
spawnBot(MOLERAT, 32518, -2247, -2528, "COLONY.ZEN");
spawnBot(MOLERAT, 36718, -2519, -1947, "COLONY.ZEN");
spawnBot(MOLERAT, 39128, -3619, -3082, "COLONY.ZEN");
spawnBot(MOLERAT, 39222, -3519, -4660, "COLONY.ZEN");
spawnBot(MOLERAT, 40905, -3840, -4465, "COLONY.ZEN");
spawnBot(MOLERAT, 39114, -3290, -5629, "COLONY.ZEN");
spawnBot(MOLERAT, 37498, -2547, -6090, "COLONY.ZEN");
spawnBot(MOLERAT, 27102, 415, -7617, "COLONY.ZEN");
spawnBot(MOLERAT, 26032, 275, -5835, "COLONY.ZEN");
spawnBot(MOLERAT, 45444, -3853.87, -20707.4, "COLONY.ZEN");
spawnBot(MOLERAT, 44821.3, -3813.33, -21276, "COLONY.ZEN");
spawnBot(MOLERAT, -32334, 381, 1148, "COLONY.ZEN");
spawnBot(MOLERAT, -32452, 364, 1769, "COLONY.ZEN");
spawnBot(MOLERAT, 35665, -2483, -3086, "COLONY.ZEN");
spawnBot(MOLERAT, 34234, -2274, -3363, "COLONY.ZEN");
spawnBot(MOLERAT, 33193, -1289, -5589, "COLONY.ZEN");
spawnBot(MOLERAT, 32985, -1283, -5482, "COLONY.ZEN");
spawnBot(MOLERAT, 27372, 347, -8135, "COLONY.ZEN");
spawnBot(MOLERAT, -8899, -1059, -891, "COLONY.ZEN");
spawnBot(MOLERAT, -8821, -1097, -1244, "COLONY.ZEN");
spawnBot(MOLERAT, -7701, -1372, 6430, "COLONY.ZEN");
spawnBot(MOLERAT, -3510, -1155, 6976, "COLONY.ZEN");
spawnBot(MOLERAT, -1561, -1096, 7797, "COLONY.ZEN");
spawnBot(MOLERAT, -1946, -1184, 7028, "COLONY.ZEN");
spawnBot(MOLERAT, -29470, 650, 3511, "COLONY.ZEN");
spawnBot(MOLERAT, -32882, 869, 10949, "COLONY.ZEN");
spawnBot(MOLERAT, -31830, 951, 10126, "COLONY.ZEN");
spawnBot(MOLERAT, -32990.6, 590.322, 15334.7, "COLONY.ZEN");
spawnBot(MOLERAT, -28253, -350, 17557, "COLONY.ZEN");
spawnBot(MOLERAT, -27058, -405, 17518, "COLONY.ZEN");
spawnBot(MOLERAT, -28145, -305, 17190, "COLONY.ZEN");
spawnBot(MOLERAT, 44573, -3935.99, -18635.2, "COLONY.ZEN");
spawnBot(MOLERAT, 43033.4, -3828.23, -17588, "COLONY.ZEN");
spawnBot(MOLERAT, 44606.7, -3954.14, -16236.6, "COLONY.ZEN");
spawnBot(MOLERAT, 46396, -3954.31, -17998.7, "COLONY.ZEN");
spawnBot(MOLERAT, 47345.9, -3924.83, -22013.2, "COLONY.ZEN");
spawnBot(MOLERAT, -56736, 5825, 6066, "COLONY.ZEN");
spawnBot(MOLERAT, -57401, 5880, 5670, "COLONY.ZEN");
spawnBot(MOLERAT, -57717, 5918, 6554, "COLONY.ZEN");
spawnBot(MOLERAT, -56122, 5707, 4090, "COLONY.ZEN");
spawnBot(MOLERAT, -55634, 5694, 4521, "COLONY.ZEN");
spawnBot(MOLERAT, -55675, 5526, 2904, "COLONY.ZEN");
spawnBot(MOLERAT, -55434, 5340, 2131, "COLONY.ZEN");
spawnBot(MOLERAT, -57013, 5436, 2232, "COLONY.ZEN");
spawnBot(MOLERAT, -56045, 5374, 2201, "COLONY.ZEN");
